Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.interceptor
Class AliasInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          com.opensymphony.xwork2.interceptor.AliasInterceptor

All Implemented Interfaces:
  Interceptor, Serializable

    public class AliasInterceptor

extends AbstractInterceptor

The aim of this Interceptor is to alias a named parameter to a different named parameter. By acting as the glue between actions sharing similiar parameters (but with different names), it can help greatly with action chaining.

Action's alias expressions should be in the form of #{ "name1" : "alias1", "name2" : "alias2" }. This means that assuming an action (or something else in the stack) has a value for the expression named name1 and the action this interceptor is applied to has a setter named alias1, alias1 will be set with the value from name1.

Interceptor parameters:

- aliasesKey (optional) - the name of the action parameter to look for the alias map (by default this is aliases).

Extending the interceptor:

This interceptor does not have any known extension points.

Example code:

     <action name="someAction" class="com.examples.SomeAction">
         <!-- The value for the foo parameter will be applied as if it were named bar -->
         <param name="aliases">#{ 'foo' : 'bar' }</param>

         <interceptor-ref name="alias"/>
         <interceptor-ref name="basicStack"/>
         <result name="success">good_result.ftl</result>
     </action>

Author:
  Matthew Payne
See Also:
  Serialized Form

Field Summary
`protected String` | `aliasesKey`
`private static String` | `DEFAULT_ALIAS_KEY`
`private static Log` | `log`

Constructor Summary
`AliasInterceptor()`

Method Summary
`String` | `intercept(ActionInvocation invocation)` Override to handle interception
`void` | `setAliasesKey(String aliasesKey)`

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final Log log

### DEFAULT_ALIAS_KEY

    private static final String DEFAULT_ALIAS_KEY

See Also:
  Constant Field Values

### aliasesKey

    protected String aliasesKey

Constructor Detail

### AliasInterceptor

    public AliasInterceptor()

Method Detail

### setAliasesKey

    public void setAliasesKey(String aliasesKey)

### intercept

    public String intercept(ActionInvocation invocation)
                     throws Exception

  Description copied from class: `AbstractInterceptor`
  Override to handle interception

  Specified by:
    `intercept` in interface `Interceptor`
  Specified by:
    `intercept` in class `AbstractInterceptor`
  Returns:
    the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
  Throws:
    `Exception` - any system-level error, as defined in `Action.execute()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.